Package org.springframework.security.web.server.authentication

# Class AuthenticationConverterServerWebExchangeMatcher

java.lang.Object
org.springframework.security.web.server.authentication.AuthenticationConverterServerWebExchangeMatcher

All Implemented Interfaces:
  `ServerWebExchangeMatcher`

public final class AuthenticationConverterServerWebExchangeMatcher extends Object implements ServerWebExchangeMatcher
Matches if the `ServerAuthenticationConverter` can convert a `ServerWebExchange` to an `Authentication`.

Since:
  5.4
See Also:
  - `ServerAuthenticationConverter`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.security.web.server.util.matcher.ServerWebExchangeMatcher

`ServerWebExchangeMatcher.MatchResult`

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationConverterServerWebExchangeMatcher(ServerAuthenticationConverter serverAuthenticationConverter)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult>`
`matches(org.springframework.web.server.ServerWebExchange exchange)`
Determines if a request matches or not

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationConverterServerWebExchangeMatcher

public AuthenticationConverterServerWebExchangeMatcher(ServerAuthenticationConverter serverAuthenticationConverter)

## Method Details

### matches

public reactor.core.publisher.Mono<ServerWebExchangeMatcher.MatchResult> matches(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerWebExchangeMatcher`
Determines if a request matches or not

Specified by:
  `matches` in interface `ServerWebExchangeMatcher`
Returns: